Subject: New Reply Received - Hello, I want to enquire regarding my order . Customer care number not working for me
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 20 Jun 2021 07:17:44 +0000

Hi Amr Khalil,  The customer has responded to the ticket.  Hello, I want to enquire regarding my order . Customer care number not working for me  Ticket comment <div>Hi, my phone number is 00973 39042047,  Order 7470029093, location- bahrain. 
The order was supposed to be delivered by Thursday 17 June but it has still not reached and customer care number is not reachable. Please update on the  status. If not I would like to cancel.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2726903